/**
@author Cesar Vasquez Ibaceta
@version 1.0 13-04-2004
*/

import javax.swing.*;
import java.lang.String.*;
import java.awt.*;
import java.util.*;
import java.awt.event.*;
import java.awt.Toolkit.*;
import java.awt.geom.*;
import java.awt.Graphics2D.*;


/**
	Clase para crear nuestro Panel de Botones y darle formato.
*/
public class buttonPanel extends JPanel
{
	/**
		El Constructor de esta clase, crea un Panel, seteando el Laoyout Manager
		en GridLayout y creando un grilla de (n, m) para poder agregar otros objetos.
		@param n numero de Filas de la grilla.
		@param m numero de Columnas de la grilla.
		@param b tamao del borde de nuestro panel, en pixeles.
	*/
	public buttonPanel(int n, int m, int b)
	{
		setBorder(BorderFactory.createEmptyBorder(b,b,b,b));	//seteo de bordes
		setLayout( new GridLayout(n,m,b,b));					//seteo de bordes y numero de filas
																//y kolumnas...
	}

	/**
	Agrega un boton al panel de botones y un Listener al boton.
	@param Label nombre del boton que se desea crear
	@param Listener nombre del Listener al que se desea asociar dicho boton.
	*/
	public void agregarBoton(String Label, ActionListener Listener)
	{
		JButton boton = new JButton(Label);
		boton.addActionListener(Listener);
		add(boton);
	}
}



